Bug 6468 - Messenger's address book does not work
Messenger's address book does not work
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: netscape (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
: 7127 7901 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-28 12:13 EDT by jfrancis
Modified: 2014-03-16 22:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-01 21:58:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jfrancis 1999-10-28 12:13:26 EDT
You can not use Personal Address Book entries.  Check Names
does not work and when choosing an address from the address
book and pressing To Netscape crashes.

Steps to recreate:
1.  Enter an address in the address book.
2.  Open messenger and compose a new message.
3.  Go to Select Addresses and pick the address.
4.  Press the To: button.  Netscape crashes.
Comment 1 jfrancis 1999-10-28 12:17:59 EDT
BTW, this is the latest version of Netscape 4.7 from RedHat with
Security fixes.
Comment 2 Bill Nottingham 1999-10-28 12:24:59 EDT
I can't reproduce this here. Adding a new entry, and selecting
it with 'select addresses' in messenger works fine.
Comment 3 jfrancis 1999-10-29 19:48:59 EDT
I am able to recreate it at will.  It only happens in 4.7.  I
deinstalled 4.7 and reinstalled 4.61 from the RedHat distribution.
This version works fine and the Address Book works correctly.

I then deinstall 4.61 and reinstall 4.7.  Sure enough Netscape crashes
when you use the address book.

------- Additional Comments From   11/04/99 04:04 -------
I have this problem now with both Netscape Communicator v4.7 (US
128bit) from netscape and the rhmask'd 4.7-1.1us rpm upgrades.  This
has only been happening since I did a fresh install to RH 6.1.  I did
not have this problem at all running 4.7 (US 128bit encryption ver)
from netscape on RH 6.0.  I can't get gdb to attach to the RH version
of 4.7-1.1us for some reason but I have run the tarball from netscape
version through gdb.

1)  Open Netscape Mail
2)  New Message
3)  Select Addresses (button)
4)  *choose an address*
5)  Click 'To:' button
6)  Bang!
(note:  Same thing happens when you add an address via 'CC:')

(gdb) run
Starting program: /usr/local/netscape/netscape
Program received signal SIGSEGV, Segmentation fault.
strcpy (dest=0x8d7f638 "", src=0x0) at ../sysdeps/generic/strcpy.c:37
37      ../sysdeps/generic/strcpy.c: No such file or directory.
(gdb) bt
#0  strcpy (dest=0x8d7f638 "", src=0x0) at
../sysdeps/generic/strcpy.c:37
#1  0x83534d8 in XFE_AddresseeView::getColumnText ()
#2  0x8347e85 in XFE_Outliner::contentCellDraw ()
#3  0x83482bd in XFE_Outliner::celldraw ()
#4  0x8348d6e in XFE_Outliner::celldrawCallback ()
#5  0x4002a706 in XtCallCallbackList () from /usr/X11R6/lib/libXt.so.6
#6  0x8379bae in XmLFolderSetActiveTab ()
#7  0x400367e4 in SendExposureEvent () from /usr/X11R6/lib/libXt.so.6
#8  0x40036561 in CompressExposures () from /usr/X11R6/lib/libXt.so.6
#9  0x400360ad in XtDispatchEventToWidget () from
/usr/X11R6/lib/libXt.so.6
#10 0x40036d44 in _XtDefaultDispatcher () from
/usr/X11R6/lib/libXt.so.6
#11 0x40037173 in XtDispatchEvent () from /usr/X11R6/lib/libXt.so.6
#12 0x40042acf in XtAppProcessEvent () from /usr/X11R6/lib/libXt.so.6
#13 0x82a72c5 in fe_EventLoop ()
#14 0x82a98e5 in main ()
(gdb)

The '../sysdeps/generic/strcpy.c: No such file or directory.' bit
makes me wonder if I am missing something or have something
misconfigured.
[system: fresh install of RH 6.1 w/updates on PII333 w/128MB]
Comment 4 Bill Nottingham 1999-11-04 11:54:59 EST
The strcpy is correct; it's segfaulting inside glibc because
a null pointer was passed to strcpy.

I can reproduce it here if I choose an entry that
has no name and no e-mail address (which falls into
the category of 'don't do that'), but not otherwise.
Comment 5 Chuck Powell 1999-11-04 20:21:59 EST
Hmmm...damn I wonder what's going on then because I'm not choosing an
'empty' entry.  *sigh* I guess I'll try rm ~/.netscape and set it back
up.

------- Additional Comments From   11/05/99 10:43 -------
Removing .netscape did not work for me.  One thing I noticed, on my
other computer I upgraded from 6.0 to 6.1 and then upgraded Netscape
to 4.7.  It does not have the problem.  The computer I have the
problem with is a new clean install to 6.1 and then the upgrade to
Netscape 4.7.  I believe that something is missing from the 6.1
distribution that Netscape 4.7 relies on.
Comment 6 Bill Nottingham 1999-11-05 10:55:59 EST
What's the output of chkfontpath --list?

------- Additional Comments From   11/05/99 19:22 -------
I have been messing with this for days now...sadly I'm not a
programmer so looking at straces and ltraces of what's happening when
I add addresses to the address book and they're not getting 'added' is
getting me knowhere.  I don't think I'd know something going wrong
from somethign going right...though I did manage to locate the
sections in an ltrace of where I was actually entering the address.

The trouble seems to be that when you add an entry to the address book
and click 'ok' it doesn't appear to get added (no new entry shows).
When you close and reopen the addressbook the entry then shows up.
However you can't edit it or delete it (or 'To' or 'CC' it etc to a
mail) which makes me think that the data isn't being put where it's
supposed to be or the mechanism to access it is somehow looking in the
wrong place or otherwise broken.  Hence the segfault with strcpy.

Again I'll say that I did not have this problem with 4.7 on RH 6.0 at
all.  This only started for me after I did a clean 'custom' install of
RH 6.1 to upgrade.  [I should have just done the upgrade...damn me for
being anal.  >;)]  A friend of mine who did the 'upgrade' path from
6.0 to 6.1 does NOT have this trouble.  This makes me think it is a RH
problem with something not getting installed or getting misconfigured
when doing a full 'custom' install rather than an 'upgrade'.

I have done an rpm -V on glibc and it's fine.  Anything else I should
check?

I have reinstalled netscape from tarball (for 4.7 w/128bit) and the
rhmask'd 4.7-1.1us rpms about 10 times now deleting ~/.netscape etc
each time while running it through gdb and doing ltraces etc.  It
hasn't helped.

chkfontpath --list
Current directories in font path:
1: /usr/X11R6/lib/X11/fonts/misc:unscaled
2: /usr/X11R6/lib/X11/fonts/75dpi:unscaled
3: /usr/X11R6/lib/X11/fonts/100dpi:unscaled
4: /usr/X11R6/lib/X11/fonts/misc
5: /usr/X11R6/lib/X11/fonts/Type1
6: /usr/X11R6/lib/X11/fonts/Speedo
7: /usr/share/fonts/default/Type1
8: /usr/X11R6/lib/X11/fonts/100dpi
9: /usr/X11R6/lib/X11/fonts/75dpi
Comment 7 lorimer 1999-11-06 15:47:59 EST
FWIW I have exactly the same problem/symptoms. Fresh install 6.1
,upgraded to NS4.7us via rpm.
Comment 8 jfrancis 1999-11-06 16:32:59 EST
Some more info which may or may not help
1.  set breakpoint at XFE_AddresseeView::getColumnText
2.  compose a new message and select an address from the address book
3.  single-step through program
4.  here is the output before crash, notice null src address.
strcpy (dest=0x8d663e0 "", src=0x0) at ../sysdeps/generic/strcpy.c:33

But this doesn't make sense because I selected a valid address.

As was said, this only happens with clean 6.1 installs.
Comment 9 ametzger 1999-11-14 22:17:59 EST
I have two machines which each just received fresh installs of 6.1.

One machine exhibits the Netscape address book problem, a problem sometimes
crashing on the initial launch of Netscape when opening
"file:/usr/doc/HTML/index.html, and also the update agent sometimes hangs when
trying to launch netscape.

The other machine works flawlessly.

The only difference between the machines is the video card.
The one with the problem has a Voodoo 3 3000 and is using the SVGA X server.

The one that works perfectly has an ATI mach 64 card and uses the Mach64 server.

I moved the mach64 card into the problem machine and did a complete fresh
reinstall of 6.1.  I've been running for hours now and all of the funky behavior
has disappeared.

Hope this helps.
Comment 10 jfrancis 1999-11-15 09:14:59 EST
I will try changing the video card settings.  I still can't understand why 4.61
works and does not exhibit the same behavior.
Comment 11 ametzger 1999-11-15 20:16:59 EST
...but I DID see the problems with BOTH 4.61 and 4.7.
Comment 12 loris.renggli 1999-11-17 03:47:59 EST
FYI, I experience the problem too (crash in address book when pushing "To:"
button") on 3 (three) computers with RH6.1 freshly installed (custom)
and netscape 4.7-1.1 or 4.7-1 (same behavior with both). They have
different video cards (S3V and Mach64 XFree servers at depth 16).
4.61-12 works fine (so I switched back).
Comment 13 Rodary Jacques 1999-11-18 21:36:59 EST
The oproblem isn't related to video card. I saw it on nine machines, one with
Matrox Millenium II, one with Matrox Millenium G200 AGP, one with ATI Mach 64,
and six with S3 AGP.
Comment 14 Bill Nottingham 1999-12-16 16:04:59 EST
*** Bug 7127 has been marked as a duplicate of this bug. ***
Comment 15 Bill Nottingham 1999-12-16 16:51:59 EST
Bleah.

Edit $HOME/netscape/preferences.js.

Search for:

user_pref("ldap_2.servers.pab.locale", "<some locale definition>");

Change the locale definition from a more specific locale
(such as 'en_US') to a less specific locale ('en').

Restart netscape.
Comment 16 Jaideep Tibrewala 1999-12-18 03:13:59 EST
Edit $HOME/netscape/preferences.js.
Search for:
user_pref("ldap_2.servers.pab.locale", "<some locale definition>");
Change the locale definition from a more specific locale
(such as 'en_US') to a less specific locale ('en').

This works initially (for the first address added) but does not solve the
problem. Try adding multiple addresses to the list. Try adding 50+ addresses at
one time. If that works, go to the address list at the bottom and start deleting
them one by one. All these cause Netscape to exit without giving any notice.
Comment 17 Bill Nottingham 1999-12-20 11:54:59 EST
*** Bug 7901 has been marked as a duplicate of this bug. ***
Comment 18 Bill Nottingham 1999-12-20 12:20:59 EST
I can't reproduce this here; once making the locale change
(you can also change the locale from, say, fr_FR to fr-FR),
I can add/delete multiple entries at will, and it's OK.

If all else fails, you can try setting the locale to "C".
Comment 19 jfrancis 1999-12-20 14:08:59 EST
Setting the locale worked for me...
Although, I did have to set the locale to "C".
Comment 20 Bill Nottingham 2000-02-01 21:58:59 EST
This has been reported to netscape; hopefully they'll have a fix
for the locale problem in a later version. Mozilla does not
have this problem.

Note You need to log in before you can comment on or make changes to this bug.